## fo-name

fo-name —

## Synopsis

    struct      FoName;
    struct      FoNameClass;
    FoDatatype* fo_name_new                     (void);
    FoDatatype* fo_name_new_with_value          (const gchar *value);
    gchar*      fo_name_get_value               (FoDatatype *name);
    FoDatatype* fo_name_get_name_empty          (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoName

## Properties

      "value"                gchararray           : Read / Write / Construct Only

## Description

## Details

### struct FoName

    struct FoName;

### struct FoNameClass

    struct FoNameClass;

### fo_name_new ()

    FoDatatype* fo_name_new                     (void);

Creates a new FoName initialized to default value.

Returns : | the new FoName.

### fo_name_new_with_value ()

    FoDatatype* fo_name_new_with_value          (const gchar *value);

Creates a new FoName set to `value`.

`value` : | Value of the new FoName.
Returns : | The new FoName.

### fo_name_get_value ()

    gchar*      fo_name_get_value               (FoDatatype *name);

Get the value of `name`.

`name` : | FoName.
Returns : | String value of `name`. String must be freed by caller.

### fo_name_get_name_empty ()

    FoDatatype* fo_name_get_name_empty          (void);

Get an FoName with the well-known value of an empty string.

Returns : | The FoName.

## Properties

"`value`" (gchararray : Read / Write / Construct Only) | Name value.